Subject: Re: bug#7651: 23.2.91; Rmail doesn't allow displaying text attachments conveniently

From: Kenichi Handa <[email-masked]>
Date: Tue, 04 Jan 2011 16:16:31 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> Here's one more problem, a more serious one.  The message reproduced
> below, posted today to emacs-devel, is by default displayed with no
> body at all for the 1st part, like this (indentation added):

>   From: David Kuehling <[email-masked]>
>   To: Ken Raeburn <[email-masked]>
>   Date: Sat, 01 Jan 2011 15:20:58 +0100
>   Cc: [email-masked], Emacs Dev <[email-masked]>
>   Subject: Re: Some OpenWrt port related problems

>   [1:multipart/signed]
>   [2:application/pgp-signature file:noname (189B)]

> I guess we need to handle parts with no Content-Type at all?

Sure.  I've just installed a fix.  In the above message, the
first part incorrectly inherited the default type as
"multipart/signed".  It should be "text/plain".

And the second part is surely "application/pgp-signature"
which current rmailmm doesn't know how to handle, but I made
the body shown as a text by typing RET.

---
Kenichi Handa
[email-masked]